## CamelFilterInputStream

CamelFilterInputStream — Filtered input stream

## Functions

GInputStream * | camel_filter_input_stream_new ()
CamelMimeFilter * | camel_filter_input_stream_get_filter ()

## Properties

CamelMimeFilter * | filter | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GInputStream
            ╰── GFilterInputStream
                ╰── CamelFilterInputStream

## Includes

    #include <camel/camel.h>

## Description

CamelFilterInputStream is similar to GConverterInputStream, except it operates on a CamelMimeFilter instead of a GConverter.

This class is meant to be a temporary solution until all of Camel's MIME filters are ported to the GConverter interface.

## Functions

### camel_filter_input_stream_new ()

    GInputStream *
    camel_filter_input_stream_new (GInputStream *base_stream,
                                   CamelMimeFilter *filter);

Creates a new filtered input stream for the `base_stream` .

#### Parameters

base_stream | a GInputStream |
filter | a CamelMimeFilter |

#### Returns

a new GInputStream

Since: 3.12

### camel_filter_input_stream_get_filter ()

    CamelMimeFilter *
    camel_filter_input_stream_get_filter (CamelFilterInputStream *filter_stream);

Gets the CamelMimeFilter that is used by `filter_stream` .

#### Parameters

filter_stream | a CamelFilterInputStream |

#### Returns

a CamelMimeFilter.

[transfer none]

Since: 3.12

## Property Details

### The `“filter”` property

      “filter”                   CamelMimeFilter *

The MIME filter object.

Owner: CamelFilterInputStream

Flags: Read / Write / Construct Only

## See Also

GInputStream, CamelMimeFilter